#hero-image {
    object-fit: cover;
    object-position: 50% 15%;
    transform: scale(1.25) translateX(10%);
}

picture:has(#hero-image)::after {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: linear-gradient(to bottom right, rgba(0, 0, 0, .40) 30%, rgba(0, 0, 0, .0))
}

#hero-title {
    top: 128px;
    width: 60%;
}

.selectable {
    cursor: pointer;
}

#rotary-container {
    position: relative;
    width: 800px;
    height: 800px;
}

.outer-circle {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: var(--light);
    opacity: .45;
    border-radius: 50%;
}

.outer-circle:nth-child(1) {
    width: 96%;
    height: 96%;
}

.outer-circle:nth-child(2) {
    width: 84%;
    height: 84%;
}

.outer-circle:nth-child(3) {
    opacity: 1;
    width: 72%;
    height: 72%;
}

.outline-circle {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: calc(70% - 52px);
    height: calc(70% - 52px);
    border-radius: 50%;
    border: 1px solid var(--dark);
}

#rotary {
    position: absolute;
    width: 70%;
    height: 70%;
    top: 50%;
    left: 50%;
    transition: transform .3s;
    transform: translate(-50%, -50%);
}

#rotary>* {
    width: fit-content;
    transform-origin: center;
}

.icon-circle {
    position: absolute;
    border-radius: 50%;
    padding: 4px;
    background-color: var(--light);
    z-index: 10;
    transform: translate(-50%, -50%);
}

.icon-circle:nth-child(1) {
    top: 26px;
    left: 50%;
}

/* Valeurs calculees en fonction du premier element */
.icon-circle:nth-child(2) {
    top: calc(50% - 22.67857142857143%);
    left: 89.2804379573656%;
}

.icon-circle:nth-child(3) {
    top: 72.67857142857143%;
    left: 89.2804379573656%;
}

.icon-circle:nth-child(4) {
    top: calc(100% - 26px);
    left: 50%;
}

.icon-circle:nth-child(5) {
    top: 72.67857142857143%;
    left: calc(100% - 89.2804379573656%);
}

.icon-circle:nth-child(6) {
    top: calc(50% - 22.67857142857143%);
    left: calc(100% - 89.2804379573656%);
}

.icon-circle>span {
    font-size: 48px;
    height: 48px;
    width: 48px;
    user-select: none;
    transition: rotate .3s, color .3s;
}

.icon-circle:active>span,
.icon-circle.selected>span {
    color: var(--primary);
}

#rotary-content {
    position: absolute;
    width: 50%;
    height: 50%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#rotary-title {
    font-weight: 600;
}

#rotary-description {
    text-align: center;
}

#rotary-indices {
    position: absolute;
    bottom: 24px;
    display: flex;
    height: 8px;
    flex-direction: row;
    gap: 4px;
    justify-content: center;
    align-items: center;
}

#rotary-indices>div {
    height: 100%;
    width: 32px;
    cursor: pointer;
    background-image: linear-gradient(to right, var(--primary) 50%, white 0%);
    background-position-x: 100%;
    background-size: 200%;
}

#rotary-indices>div.changing {
    animation: rotary-changing;
    animation-timing-function: linear;
    animation-duration: 10s;
}

#rotary-indices>div:active,
#rotary-indices>div.selected {
    background-position-x: 0%;
}

#rotary-separator {
    bottom: 0;
    left: 0;
    transform: translate(-50%, 50%);
    z-index: 1;
}

#multisensor-separator {
    bottom: 0;
    right: 0;
    transform: translate(50%, 50%);
}

.multisensor-text {
    font-size: .45em;
    font-weight: 600;
    fill: white;
    transition: fill .3s;
    text-anchor: middle;
    user-select: none;
    cursor: pointer;
}

.multisensor-text:hover {
    fill: var(--secondary);
}

#monitoring {
    width: 100%;
    padding-top: 128px;
    gap: 128px;
    display: flex;
    flex-direction: column;
}

#monitoring>.row {
    gap: 64px;
}

#monitoring>div:nth-child(odd) {
    padding-left: 64px;
}

#monitoring>div:nth-child(even) {
    padding-right: 64px;
}

#monitoring>div>img,
#monitoring>div>picture {
    max-width: 40%;
}

#monitoring>div>picture>img {
    width: 100%;
    height: 100%;
}

@keyframes rotary-changing {
    from {
        background-position: 100%;
    }

    to {
        background-position: 0;
    }
}

@media only screen and (max-width: 1300px) {
    #hero-image {
        transform: scale(1.75) translate(15%, 15%);
    }

    #monitoring>.row {
        gap: 32px;
    }

    #monitoring>div:nth-child(odd) {
        padding-left: 32px;
    }

    #monitoring>div:nth-child(even) {
        padding-right: 32px;
    }

    .checklist {
        padding-left: 0;
    }
}

@media only screen and (max-width: 920px) {
    #hero-title {
        box-sizing: content-box;
    }

    #hero-image {
        object-position: 50% 0;
    }

    #monitoring>div>picture,
    #monitoring>div>img {
        width: auto;
        max-width: 100%;
    }

    #monitoring>div:nth-child(odd),
    #monitoring>div:nth-child(even) {
        padding: 0 24px;
    }

    #monitoring>div:nth-child(odd) {
        flex-direction: column-reverse;
    }

    #monitoring>div:nth-child(even) {
        flex-direction: column;
    }

    #monitoring>.row,
    #monitoring>.row>.column {
        gap: 8px;
    }

    #monitoring {
        gap: 64px;
    }

    #rotary-container {
        width: 600px;
        height: 600px;
    }

    .outline-circle {
        width: calc(70% - 40px);
        height: calc(70% - 40px);
    }

    .icon-circle>span {
        font-size: 36px;
        height: 36px;
        width: 36px;
    }

    .icon-circle:nth-child(1) {
        top: 20px;
    }

    .icon-circle:nth-child(4) {
        top: calc(100% - 20px);
    }

    #rotary-content {
        font-size: .9em;
    }
}

@media only screen and (max-width: 768px) {
    #hero-title {
        width: auto;
    }

    #monitoring {
        padding-top: 64px;
    }

    #multisensor {
        padding: 16px 24px;
    }

    #rotary-container {
        width: 500px;
        height: 500px;
    }

    .icon-circle>span {
        font-size: 32px;
        height: 32px;
        width: 32px;
    }

    .icon-circle:nth-child(1) {
        top: 16px;
    }

    .icon-circle:nth-child(4) {
        top: calc(100% - 16px);
    }

    .outline-circle {
        width: calc(70% - 36px);
        height: calc(70% - 36px);
    }

    #rotary-content {
        font-size: .75em;
    }
}
